| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AvatarTokenMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- AvatarTokenMap ()
- AvatarTokenMap (const QMap< uint, QString > &a)
- AvatarTokenMap & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt type system.

A dictionary whose keys are contact handles and whose values are avatar tokens.

## Constructor & Destructor Documentation

Tp::AvatarTokenMap::AvatarTokenMap | ( |  | ) | `[inline]`

Tp::AvatarTokenMap::AvatarTokenMap | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

AvatarTokenMap& Tp::AvatarTokenMap::operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`